<?php

  add_action('admin_menu', 'fogata_setup_menu');

  function fogata_setup_menu(){

    $icon_url = FOGATA_PLUGIN_URL . '/images/logo-fogata-bot.png';

    add_menu_page( 'Fogata BOTS', 'Fogata BOTS', 'manage_options', 'fogataBot-plugin', 'fogata_bot_init', $icon_url/*, $position*/ );

  }

  function fogata_switch_button_scripts() {
      wp_enqueue_script( 'switch-button', plugin_dir_url( __FILE__ ) . 'assets/js/switch-button.js', array( 'jquery' ), '1.0.0', true );
  }
  add_action( 'admin_enqueue_scripts', 'fogata_switch_button_scripts' );

  function fogata_bot_init(){

    fogata_handle_post();

    // Main style for admin
    wp_register_style('main-styles', plugin_dir_url( __FILE__ ) . 'assets/css/fogata-admin.css' );
    wp_enqueue_style('main-styles');

    // Bootstrap 3.2.0
    wp_register_style('bootstrap-styles', plugin_dir_url( __FILE__ ) . 'assets/css/bootstrap.min.css' );
    wp_enqueue_style('bootstrap-styles');

    // Bootstrap toggle 2.2.2
    wp_register_style('bootstrap-toggle', plugin_dir_url( __FILE__ ) . 'assets/css/bootstrap-toggle.min.css' );
    wp_enqueue_style('bootstrap-toggle');

    // Add the color picker css file
    wp_enqueue_style( 'wp-color-picker' );

    // Include our custom jQuery file with WordPress Color Picker dependency
    wp_register_script( 'custom-script-handle', plugin_dir_url( __FILE__ ) . 'assets/js/fogata-custom-script.js', array( 'wp-color-picker' ), false, false );
    wp_enqueue_script('custom-script-handle');

    $data = maybe_unserialize( get_option('_fogata_bot_option') );

    ?>

    <div class="wrap">

    <h1>Fogata BOTS V1.0</h1>

    <p style="margin-top: 20px;"><b>Activating Fogata BOTS plugin is quick and easy. Just follow the steps bellow:</b></p>

      <p><a href="https://www.youtube.com/watch?v=q1InWc6zR9o" target="_blank">Activating your plugin video tutorial.</a></p>
      <p><b>1 -</b> Go to <a href="http://dashboard.fogatacrm.com/user/create" target="_blank">https://fogatacrm.com</a> and click on "Register" to create your account.</p>
      <p><b>2 -</b> Create your account by entering the following information:</p>

        <ul style="padding-left: 25px;">
          <li>• Username</li>
          <li>• Password of your preference</li>
          <li>• A profile picture (a photo or an avatar)</li>
          <li>• Email</li>
        </ul>

      <p><b>3 -</b> Now that your account is created, make your Login by entering Username and Password.</p>
      <p><b>4 -</b> Click on the "Menu" select "Webchat" and then "Settings"</p>
      <p><b>5 -</b> There you will find your "Authentication Key", you just have to copy and paste it on the "Auth Key" input.</p>
      <p><b>6 -</b> It’s done! Now that your authentication key is set, you’ll be able to choose the color, logo, welcome message and other options, click on "Save Changes" and your Bot will update automatically.</p>
      <hr>

    <form method="post" id="fogata-form" enctype="multipart/form-data" action="admin.php?page=fogataBot-plugin">

      <?php wp_nonce_field( '_wp_http_referer', '_fogatanonce' ) ?>

        <table class="form-table" style="max-width:800px;">
            <tr valign="top">
            <th scope="row">Auth Key <span style="color: red;">*</span></th>
            <td><input type="text" pattern=".{40,}" maxlength="40" name="_fogata_apikey" value="<?= $data['api_key']; ?>" required placeholder="Need 40 characters" /></td>
            </tr>

            <tr valign="top">
            <th scope="row">Chat Background Color</th>
            <td><input class="color-field" type="text" name="_fogata_bot_background" value="<?= sanitize_text_field( $data['bot_background'] ); ?>" /></td>
            </tr>

            <tr valign="top">
            <th scope="row">User Background Color</th>
            <td><input class="color-field" type="text" name="_fogata_bot_client_color" value="<?= sanitize_text_field( $data['bot_client_color'] ); ?>" /></td>
            </tr>

            <tr valign="top">
            <th scope="row">Bot Background Color</th>
            <td><input class="color-field" type="text" name="_fogata_bot_admin_color" value="<?= sanitize_text_field( $data['bot_admin_color'] ); ?>" /></td>
            </tr>

            <tr class="form-field">
              <th scope="row">
                <label for="_fogata_bot_logo">Bot Logo <span style="color: red;">*</span></label>
                <br>
                <small>File must be less than <b>512KB</b></small>
              </th>
              <td>

                <div class="fogata-upload-container" style="display: block">
                  <img src="<?php echo $data['bot_logo']; ?>" alt="">
                  <div class="fogata-upload-controls">
                    <div class="fogata-button type_change">
                      <input type='file' id='_fogata_bot_logo' name='_fogata_bot_logo' value="" ></input>
                    </div>

                  </div>
                </div>
              </td>
            </tr>

            <tr valign="top">
            <th scope="row">Greeting Message</th>
            <td>
              <textarea rows="2" cols="50" maxlength="60" name="_fogata_bot_greeting" placeholder="Maximum 80 characters"><?= esc_textarea( stripslashes($data['bot_greeting']) ); ?></textarea>
            </tr>

            <tr valign="top">
            <th scope="row">Call To Action</th>
            <td><input type="text" maxlength="20" name="_fogata_bot_action" value="<?= stripslashes( $data['bot_action'] ); ?>" placeholder="Maximum 20 characters" /></td>
            </tr>

            <tr valign="top">
            <th scope="row">Activate Widget</th>
            <td>
              <div class="checkbox">
                <input type="checkbox" class="fogata_bot_active" <?php if( $data['bot_active'] == 1 ) echo 'checked="checked"'; ?> data-toggle="toggle" />
                <input type="hidden" class="fogata_bot_active_val" name="_fogata_bot_active" value="<?= $data['bot_active']; ?>" />
              </div>
            </td>
            </tr>

            <tr valign="top">
            <th scope="row">Fogata LEADS</th>
            <td>
              <div class="checkbox">
                <input type="checkbox" class="fogata_leads_active" <?php if( $data['bot_leads'] == 1 ) echo 'checked="checked"'; ?> data-toggle="toggle" />
                <input type="hidden" class="fogata_leads_active_val" name="_fogata_leads_active" value="<?= $data['bot_leads']; ?>" />
              </div>
            </td>
            </tr>

            <tr valign="top">
            <th scope="row">Menu Action Button</th>
            <td><input type="text" maxlength="28" name="_fogata_bot_menu" value="<?= stripslashes( $data['bot_menu'] ); ?>" placeholder="Maximum 28 characters" /></td>
            </tr>


            <tr valign="top">
            <th scope="row">Position</th>
            <td>
              <select name="_fogata_bot_position">
                <?php
                  if( $data['bot_position'] == "left" )
                  echo '<option value="left" selected="selected">Left</option>
                        <option value="right">Right</option>';
                  else if( $data['bot_position'] == "right" )
                  echo '<option value="left">Left</option>
                        <option value="right" selected="selected">Right</option>';
                  else
                  echo '<option value="left" selected="selected">Left</option>
                        <option value="right">Right</option>';
                ?>
              </select>
            </td>
            </tr>

        </table>

        <?php submit_button(); ?>

    </form>
    </div>
  <?php };

  function fogata_handle_post(){

    $data = maybe_unserialize( get_option('_fogata_bot_option') );

    if ( $_POST && (! isset( $_POST['_fogatanonce'] ) || ! wp_verify_nonce( $_POST['_fogatanonce'], '_wp_http_referer' ) || !current_user_can( 'administrator' ))  ) {

       print 'Sorry, your user did not verify.';
       exit();

    } else {

       // process form data

           if( isset($_FILES['_fogata_bot_logo']) ) {

                   $file = $_FILES['_fogata_bot_logo'];

                   // Use the wordpress function to upload
                   // Error checking using WP functions
                   if (!empty($file['type'])) {

                      $mime = $file['type'];
                      $filesize = $file['size'];
                      $maxsizef = 524288;

                      if( ($mime == 'image/gif' || $mime == 'image/jpeg' || $mime == 'image/jpg' || $mime == 'image/png') && $filesize <= $maxsizef ) {

                        $uploaded=media_handle_upload('_fogata_bot_logo', 0);
                        echo '<div class="notice notice-success is-dismissible pum-notice">
                              <p><strong style="color: #333;">The file has been uploaded successfully. </strong><a href="'.get_the_guid($uploaded).'" target="_blank">View File</a></p>
                              </div>';
                        $data['bot_logo'] = esc_url_raw( get_the_guid($uploaded) );

                      } else{

                        $updated_message = __( "Error uploading file. Only files with the following extensions are allowed: png gif jpg jpeg. Please make sure the file is not larger than 512KB.",'fogata-form' );
                        echo sprintf( '<div id="message" class="notice notice-error is-dismissible"><p>%s</p></div>', esc_html( $updated_message ) );

                      }
                   }

           }

           if( isset($_POST['_fogata_apikey']) ) $data['api_key'] = sanitize_text_field( $_POST['_fogata_apikey'] );
           if( isset($_POST['_fogata_bot_background']) ) $data['bot_background'] = sanitize_text_field( $_POST['_fogata_bot_background'] );
           if( isset($_POST['_fogata_bot_client_color']) ) $data['bot_client_color'] = sanitize_text_field( $_POST['_fogata_bot_client_color']) ;
           if( isset($_POST['_fogata_bot_admin_color']) ) $data['bot_admin_color'] = sanitize_text_field( $_POST['_fogata_bot_admin_color'] );
           if( isset($_POST['_fogata_bot_greeting']) ) $data['bot_greeting'] = sanitize_text_field( $_POST['_fogata_bot_greeting'] );
           if( isset($_POST['_fogata_bot_action']) ) $data['bot_action'] = sanitize_text_field( $_POST['_fogata_bot_action'] );
           if( isset($_POST['_fogata_leads_active']) ) $data['bot_leads'] = sanitize_key( $_POST['_fogata_leads_active'] );
           if( isset($_POST['_fogata_bot_active']) ) $data['bot_active'] = sanitize_text_field( $_POST['_fogata_bot_active'] );
           if( isset($_POST['_fogata_bot_menu']) ) $data['bot_menu'] = sanitize_text_field( $_POST['_fogata_bot_menu'] );
           if( isset($_POST['_fogata_bot_position']) ) $data['bot_position'] = sanitize_text_field( $_POST['_fogata_bot_position'] );

           update_option( '_fogata_bot_option', maybe_serialize( $data ) , TRUE );
    }


  }

 ?>
