/*El contenido de este archivo es propiedad de
Fogata Grupo Creativo S.A. www.fogatagroup.com
Todos los derechos reservados*/

jQuery(document).ready( function($) {

  var chatHtml;
  var fogataLiveUser = 0;
  var fogataActive = 0;

  $("body").prepend("");

  if($( window ).width() > 480){
    $( "#fogata-draggable-webchat" ).draggable();
  }

  $(window).resize(function(){
    if($( window ).width() <= 480){
      $( "#fogata-draggable-webchat" ).draggable({
        disabled: true
      });
    } else {
      $( "#fogata-draggable-webchat" ).draggable();
    }
  });

  $.fn.toggleClick = function(){
      var methods = arguments, // store the passed arguments for future reference
          count = methods.length; // cache the number of methods
      //use return this to maintain jQuery chainability
      return this.each(function(i, item){
          // for each element you bind to
          var index = 0; // create a local counter for that element
          $(item).click(function(){ // bind a click handler to that element
              return methods[index++ % count].apply(this,arguments); // that when called will apply the 'index'th method to that element
              // the index % count means that we constrain our iterator between 0 and (count-1)
          });
      });
  };

  jQuery.each( [ "put" ], function( i, method ) {
    jQuery[ method ] = function( url, data, callback, type ) {
      if ( jQuery.isFunction( data ) ) {
        type = type || callback;
        callback = data;
        data = undefined;
      }

      return jQuery.ajax({
        url: url,
        type: method,
        dataType: type,
        data: data,
        success: callback
      });
    };
  });

  $('.fogata-chat-btn').toggleClick(function(){
    $('.fogata-chats').show();
    $('.fogata-user-text').focus();
  })

  $('.fogata-close-chat').click(function(){
    $('.fogata-chats').hide();
  })

  $('.fogata-bot-start').click(function(){
    $('#fogata-bot-lead').css('height','0').hide();
    sendFogataUser();
    getFogataWelcome();
  })

  $(document).on("click", ".fogata-auto-text", function() {
    $('.fogata-user-text').val($(this).html()).focus();
  })

  $(document).on('click', '.fogata-option-button', function(){
    var fogval = $(this).html();
    sendFogataMsg(fogval,1,0,0);
  })

  $(document).on('click', '.fogata-encuesta-response', function(){
    var fogval = $(this).html();
    var fogval2 = $(this).data('id');
    var fogval3 = $(this).data('key');
    sendFogataMsg(fogval,2,fogval2,fogval3);
  })

  $(document).on('click', '.fogata-encuesta-callback', function(){
    fogval = $(this).html();
    fogval2 = $(this).data('id');
    sendFogataMsg(fogval,1,fogval2,0);
  })

  $('.fogata-menu-chat').click(function(){
    sendFogataMsg(fogataMenu,1,0,0);
  })

  $('.fogata-menu-send').click(function(){
    var fogvalText = '';
    fogvalText = $('.fogata-user-text').val();
    sendFogataMsg(fogvalText,1,0,0);
    $('.fogata-user-text').val('');
  })

  function setLive() {

    $.put('https://fogatacrm.com/api/admin/index.php/pages/live', {user: fogataClientIP, auth: fogataAuthKey, usr_dev: fogataClientDV}, function( data ){

      var datas = JSON.parse(data.data);

      if(datas.bot == 1) fogataActive = 1;
      else fogataActive = 0;

      if(datas.mensaje != '') {

        startAni();
        $('#fogata-bot-loading').show();

        var html = $('#fogata-bot-response').html();
        $('#fogata-bot-response').html(html + datas.mensaje);
        $("#fogata-bot-response").animate({scrollTop: $("#fogata-bot-response")[0].scrollHeight},400,"linear");

        clearInterval(loadingAni);
        $('#fogata-bot-loading').hide();
      }

      fogataLiveUser = 1;
      setTimeout(setLive, 3000);

    })
    .fail(function( jqXhr, textStatus, errorThrown ) {
      console.log( errorThrown );
    });

  };

  function sendFogataMsg(txt,fogval,fogval2,fogval3){

    if(fogataLiveUser == 0) setTimeout(setLive, 3000);
    startAni();
    $('#fogata-bot-loading').show();

    $.put('https://fogatacrm.com/api/admin/index.php/pages/newchat', {user: fogataClientIP, msg: encodeURI(txt), type: fogval, auth: fogataAuthKey, bots_key_id: fogval2, keyenc: fogval2, keyenc_id: fogval3, usr_dev: fogataClientDV}, function( data ){

      var datas = JSON.parse(data.data);
      var botones = '';
      var html = $('#fogata-bot-response').html();
      if(fogataActive == 0) {
        $('#fogata-bot-response').html(html + '<div style="width: 100%; float: left;"><div class="fogata-usr-response">'+txt+'</div></div>'+
        '<div style="width: 100%; float: left;"><div class="fogata-bot-response">'+datas.mensaje+'</div></div><div style="width: 100%; float: left;">' + datas.botones + '</div>');
      } else {
        $('#fogata-bot-response').html(html + '<div style="width: 100%; float: left;"><div class="fogata-usr-response">'+txt+'</div></div>');

      }
      $("#fogata-bot-response").scrollTop();

      $("#fogata-bot-response").animate({scrollTop: $("#fogata-bot-response")[0].scrollHeight},400,"linear");

      clearInterval(loadingAni);
      $('#fogata-bot-loading').hide();
    })
    .fail(function( jqXhr, textStatus, errorThrown ) {
      console.log( errorThrown );
    });

  };

  function getFogataWelcome(){

    startAni();
    $('#fogata-bot-loading').show();

    $.get( "https://fogatacrm.com/api/admin/index.php/pages/welcome?auth="+ fogataAuthKey, function( data ) {

      var html = $('#fogata-bot-response').html();

      $('#fogata-bot-response').html(html +
      '<div style="width: 100%; float: left;"><div class="fogata-bot-response">'+data.data+'</div></div>');

      $("#fogata-bot-response").scrollTop();

      $("#fogata-bot-response").animate({scrollTop: $("#fogata-bot-response")[0].scrollHeight},400,"linear");

      clearInterval(loadingAni);
      $('#fogata-bot-loading').hide();
    })
    .fail(function( jqXhr, textStatus, errorThrown ) {
      console.log( errorThrown );
    });

  };

  function sendFogataUser(){
    var fogataName = $( "input[name='fogata-name']" ).val();
    var fogataEmail = $( "input[name='fogata-email']" ).val();
    var fogataPhone = $( "input[name='fogata-phone']" ).val();
    startAni();
    $('#fogata-bot-loading').show();

    $.put('https://fogatacrm.com/api/admin/index.php/pages/user', {user: fogataClientIP, name: fogataName, email: fogataEmail, auth: fogataAuthKey, phone: fogataPhone, usr_dev: fogataClientDV}, function( data ){

      clearInterval(loadingAni);
      $('#fogata-bot-loading').hide();
    })
    .fail(function( jqXhr, textStatus, errorThrown ) {
      console.log( errorThrown );
    });

  };

  $(document).on('keypress', '.fogata-user-text', function() {
    var fogvalText = '';
    var key = window.event.keyCode;
    fogvalText = $(this).val();
    if(fogvalText != '' && key == 13){
      $(this).val('');
      sendFogataMsg(fogvalText,1,0,0);
    }
  })

  var loadingAni;
  var toggleSlide = function(){
    $(".fogata-loading-animation .fogata-loading-bot.fogata-greener").removeClass('fogata-greener')
       .next().add(".fogata-loading-animation .fogata-loading-bot:first").last().addClass("fogata-greener");
  }

  function startAni(){
    loadingAni = setInterval(toggleSlide, 400);
  }

    function fogataScroll(e, y) {
      var scrollAmmount = parseInt($('.fogata-scroll-' +  e).css('margin-left'), 10);
      var scrollWidth =  $('.fogata-scroll-' +  e).width();

      if(scrollAmmount <= 0 && (scrollAmmount ) > ( Math.abs(scrollWidth - 240) * -1) ) {
        if( y == 1 ){
          $('.fogata-scroll-' +  e).animate({
              marginLeft: scrollAmmount - 224
            }, 10, 'linear');
        }


        if(scrollAmmount != 0 && y == 0){
          $('.fogata-scroll-' +  e).animate({
              marginLeft: scrollAmmount + 224
            }, 10, 'linear');
        }


      } else if(scrollAmmount != 0 && y == 0){
        $('.fogata-scroll-' +  e).animate({
            marginLeft: scrollAmmount + 224
          }, 10, 'linear');
      }
    }

    $(document).on('click', '.fogata-left-control', function() {
      var scrollId = $(this).data( "id" );
      fogataScroll(scrollId, 0);
    })

    $(document).on('click', '.fogata-right-control', function(){
      var scrollId = $(this).data( "id" );
      fogataScroll(scrollId, 1);
    })


});
