<?php
  function fogata_function_head() {
    $position = 'left: 30px;';
    $data = maybe_unserialize( get_option('_fogata_bot_option') );

    echo '<!-- Fogata BOTS Head Code -->';

    if($data['bot_active'] == 1) $display = 'inline'; if($data['bot_active'] == 0) $display = 'none';
    if($data['bot_position'] == 'left') $position = 'left: 30px;'; if($data['bot_position'] == 'right') $position = 'right: 270px;';

    $chatCustom = '<style>
    #fogata-draggable-webchat{
      display: '.$display.';
      '.$position.'
    }
    .fogata-chat-btn{
        background-color: '.sanitize_text_field($data['bot_background']).' !important;
    }
    .fogata-menu-send i, .fogata-menu-chat i {
        color: '.sanitize_text_field($data['bot_client_color']).' !important;
    }
    .fogata-greener {
        background-color: '.sanitize_text_field($data['bot_client_color']).' !important;
    }
    .fogata-header-chat {
        background-color: '.sanitize_text_field($data['bot_background']).' !important;
    }
    .fogata-usr-response{
        background-color: '.sanitize_text_field($data['bot_client_color']).' !important;
    }
    .fogata-bot-response{
        background-color: '.sanitize_text_field($data['bot_admin_color']).' !important;
    }
    .fogata-option-button, .fogata-encuesta-response, .geo-fogata, .fogata-encuesta-callback {
        color: '.sanitize_text_field($data['bot_admin_color']).' !important;
        border-color: '.sanitize_text_field($data['bot_admin_color']).' !important;
    }
    .fogata-option-button:hover, .fogata-encuesta-response:hover, .geo-fogata:hover, .fogata-encuesta-callback:hover  {
        color: #fff !important;
        background-color: '.sanitize_text_field($data['bot_admin_color']).' !important;
        border-color: '.sanitize_text_field($data['bot_admin_color']).' !important;
    }
    .fogata-bot-start{
      background-color: '.sanitize_text_field($data['bot_background']).' !important;
      background: '.sanitize_text_field($data['bot_background']).' !important;
    }</style>';

    echo $chatCustom;


  }
  add_action( 'wp_head', 'fogata_function_head', 100 );

  //header css
  function fogata_load_css() {
    wp_register_style('fogata-styles', plugin_dir_url( __FILE__ ) . 'assets/css/fogata-chat.css', false, date('l jS \of F Y h:i:s A'), 'all' );
    wp_enqueue_style('fogata-styles');
    wp_register_style('fogata-font-awesome', plugin_dir_url( __FILE__ ) . 'assets/css/fogata-font-awesome.css', false, '5.7.1', 'all' );
    wp_enqueue_style('fogata-font-awesome');
  }
  add_action( 'wp_head', 'fogata_load_css');

  //footer scripts
  function fogata_load_js() {

      wp_register_script( 'script-typed', plugin_dir_url( __FILE__ ) . 'assets/js/typed.min.js', array( 'jquery' ), '2.0.6', true );
      wp_enqueue_script( 'script-typed' );
      wp_register_script( 'fogata-chat', plugin_dir_url( __FILE__ ) . 'assets/js/fogata-chat.js', array( 'jquery' ), date('l jS \of F Y h:i:s A'), true );
      wp_enqueue_script( 'fogata-chat' );
      wp_enqueue_script( "jquery-ui-draggable" );
  }
  add_action( 'wp_enqueue_scripts', 'fogata_load_js' );


  function fogata_function_footer() {

    function fogata_client_ip_server() {
        $ipaddress = '';
        if ($_SERVER['HTTP_CLIENT_IP'])
            $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
        else if($_SERVER['HTTP_X_FORWARDED_FOR'])
            $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
        else if($_SERVER['HTTP_X_FORWARDED'])
            $ipaddress = $_SERVER['HTTP_X_FORWARDED'];
        else if($_SERVER['HTTP_FORWARDED_FOR'])
            $ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
        else if($_SERVER['HTTP_FORWARDED'])
            $ipaddress = $_SERVER['HTTP_FORWARDED'];
        else if($_SERVER['REMOTE_ADDR'])
            $ipaddress = $_SERVER['REMOTE_ADDR'];
        else
            $ipaddress = 'UNKNOWN';

        return $ipaddress;
    }

    $data = maybe_unserialize( get_option('_fogata_bot_option') );

    $html = '
    <script>
        var fogataAuthKey = "'.$data['api_key'].'";
        var fogataMenu = "'.stripslashes( esc_html($data['bot_menu']) ).'";
        var fogataClientIP = "'.fogata_client_ip_server().'";
        var fogataClientDV = "'.$_SERVER ['HTTP_USER_AGENT'].'";

      jQuery(document).ready(
        function($) { var typed = new Typed("#fogata-typed", {
          strings: ["'.stripslashes( esc_html($data['bot_action']) ).'"],
          typeSpeed: 100,
          backSpeed: 0,
          backDelay: 500,
          startDelay: 1000,
          cursorChar: "_",
          loop: false,
        });
      });
    </script>
    <!-- Fogata BOTS Footer Code -->
      <div id="fogata-draggable-webchat">
        <div class="fogata-chats">
          <div class="fogata-header-chat">
            Powered by <a href="http://fogatagroup.com/" target="_blank" style="color: #fff"><b>Fogatagroup</b></a> <span class="fogata-close-chat" style="float: right; cursor: pointer;"><i class="fa fa-times" aria-hidden="true"></i></span>
          </div>
          <div id="fogata-bot-loading">
            <div class="fogata-loading-animation">
              <div class="fogata-loading-bot greener"></div>
              <div class="fogata-loading-bot"></div>
              <div class="fogata-loading-bot"></div>
              <div class="fogata-loading-bot" style="margin-right:0"></div>
            </div>
          </div>'.($data['bot_leads'] ? '
                  <!-- Change your Welcome Message here -->
                    <div id="fogata-bot-lead">
                      <p>'.stripslashes( esc_html($data['bot_greeting']) ).'</p>
                      <fieldset>
                        <div class="fogata-bot-inputContainer">
                          <input type="text" name="fogata-name" class="fogata-bot-input" placeholder="Name" maxlength="30">
                        </div>
                      </fieldset>
                      <fieldset>
                        <div class="fogata-bot-inputContainer">
                          <input type="email" name="fogata-email" class="fogata-bot-input" placeholder="Email" maxlength="255">
                        </div>
                      </fieldset>
                      <fieldset>
                        <div class="fogata-bot-inputContainer">
                          <input type="tel" name="fogata-phone" class="fogata-bot-input" placeholder="Phone" maxlength="25">
                        </div>
                      </fieldset>
                      <button class="fogata-bot-start">Start Chat</button>
                    </div>' : '').'

          <div id="fogata-bot-response">'.stripslashes( esc_html($data['bot_greeting']) ).'</div>
          <span class="fogata-menu-chat"><i class="fa fa-bars" aria-hidden="true"></i></span>
          <input class="fogata-user-text" type="text" placeholder="Escribe un mensaje...">
          <span class="fogata-menu-send"><i class="fa fa-paper-plane" aria-hidden="true"></i></span>
        </div>
        <div class="fogata-chat-btn">
          <!-- Replace with your own logo here -->
          <div class="fogata-chat-btn-logo"><img src="'.$data['bot_logo'].'"></div>
          <div class="fogata-chat-btn-llamadas"><span id="fogata-typed"></span></div>
        </div>
      </div>'.$type;
      echo $html;
  }

  add_action( 'wp_footer', 'fogata_function_footer', 100 );



 ?>
